Subject: Re: 2.6.32.8-stable review : kernel crashed asap

From: Américo Wang <[email-masked]>
Date: Sat, 6 Feb 2010 12:19:26 +0800

On Fri, Feb 05, 2010 at 05:30:39PM +0100, Toralf Förster wrote:
>
>Américo Wang wrote at 16:57:01
>> On Fri, Feb 05, 2010 at 04:22:02PM +0100, Toralf Förster wrote:
>> >Américo Wang wrote at 16:10:21
>> >
>> >> On Thu, Feb 04, 2010 at 09:29:41PM +0100, Toralf Förster wrote:
>> >> >Immediately during boot it crashed w/ the attached config - no lines
>> >> > within syslog  to post.
>> >>
>> >> What error messages did you see on your screen?
>> >
>> >I attached a screen shot.
>> 
>> Thanks! It's better that if you can capture these info via netconsole
>> or something like that, so that you copy and paste them into email.
>I know - but I'm at home where I've only this ThinkPad ...
>
>> Hmm, it seems that a null pointer deref happened in
>> net/ipv4/devinet.c::inetdev_init(), so Cc'ing netdev guys....
>> 
>> Could you please run the command:
>> 
>>   addr2line -e your_2.6.32.8_vmlinux 0xc11fea28
>> 
>> to check in which line we dereferenced a null pointer?
>
>Here's the information :
>
>n22 /usr/src/linux-2.6.32.8 # addr2line -e vmlinux 0xc11fea28
>devinet.c:0
>

Hmm, thanks, we already found the problem, I think the patch here:

http://patchwork.kernel.org/patch/77357/

should be able to fix this problem.

Thanks for reporting!

-- 
Live like a child, think like the god.